--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Const looks up the type of the const in the global environment, then returns a sexp of that type.
- !ruby/struct:SM::Flow::P 
  body: Const is partially unsupported.
full_name: TypeChecker#process_const
is_singleton: false
name: process_const
params: (exp)
visibility: public
